<?
$cls = [];
$cls[] = $this->escort->is_inactive ? 'inactive' : '';
$cls[] = (!Zend_Registry::get('isMobile') && $this->render_list_type == 'list') ? ' d-flex' : '';
$cls[] = strlen($this->escort->country . $this->escort->city) > 30 ? 'long-info-box' : '';

$href = $this->getLink('profile', array('showname' => $this->escort->showname, 'escort_id' => $this->escort->id));


?>

<a class="escort-item <?= implode(' ', $cls) ?>" href="<?= $href ?>">
    <div class="image-slider">
        <div class="image" alt="<?= __('escort') ?><?= $this->escort->showname ?>"
             style="background-image: url(<?= $this->escort->getMainPhoto()->getUrl('list_v3') ?>);"
             id="p-<?= $this->escort->id ?>"></div>

        <?
        $cache_key = 'list_type_more_photos_' . $this->escort->id;
        if ( ! $phts = $this->cache->load($cache_key) )
        {
            $model = new Model_EscortsV2();
            $phts = $model->getMorePhotos($this->escort->id, 2);

            $this->cache->save($phts, $cache_key, array(), 180); //3 min
        }
        ?>

        <? if ($phts): ?>
            <? foreach ($phts as $ph): ?>
                <div class="image" alt="<?= __('escort') ?> <?= $this->escort->showname ?>"  style="background-image: url(<?= $ph->getUrl('list_thumb_v3') ?>);display: none"></div>
            <? endforeach; ?>
        <? else: ?>
            <div class="image"  alt="<?= __('escort') ?> <?= $this->escort->showname ?>" style="background-image: url(<?= $this->escort->getMainPhoto()->getUrl('list_thumb_v3') ?>);display: none"></div>
        <? endif; ?>

        <div class="image-bullets d-flex flex-row flex-fill align-items-start">
            <span class="bullet"></span>
            <? foreach ($phts as $ph): ?>
                <span class="bullet"></span>
            <? endforeach; ?>
        </div>
    </div>

    <div class="info-container">

        <? if ( $this->escort->is_suspicious ): ?>
            <div class="under-investigation">
                <? if ( $this->escort->is_suspicious == 1 ): ?>
                    <span>Suspicious photos</span>
                <? elseif ($this->escort->is_suspicious == 2): ?>
                    <span>Under Investigation</span>
                <? endif; ?>
            </div>
        <? endif; ?>

        <div class="name d-flex align-items-center">
            <? if ($this->escort->is_vip): ?>
                <div class="vip-status uppercase">vip</div>
            <? endif; ?>

            <span class="showname text-brown" href="<?= $this->getLink('profile', array('showname' => $this->escort->showname, 'escort_id' => $this->escort->id)) ?>">
                <b><?= $this->escort->showname ?></b>
                <? if ($this->escort->is_inactive): ?>
                    <br><i class="text-danger"><?= __('inactive') ?></i>
                <? endif; ?>
            </span>

            <? if ( $this->escort->is_login && $this->escort->allow_show_online ): ?>
                <span class="status"><span class="desktop v1">online</span></span>
            <? endif; ?>
        </div>

        <div class="info d-flex align-items-center flex-wrap">
            <div class="city">
                <span><?= __('escort_in') ?> <?= $this->escort->city ?><span class="desktop">, <?= $this->escort->country ?></span>
                </span>
            </div>
        </div>

        <? if ($this->escort->agency_name): ?>
            <div class="escort-agency desktop">
                <i>
                    <?php echo(strlen($this->escort->agency_name) > 40 ? substr($this->escort->agency_name, 0, 30) . '...' : $this->escort->agency_name) ?>
                </i>
            </div>
        <? endif; ?>

        <? if ($this->p_top_category == 'upcomingtours' || $this->p_top_category == 'citytours'): ?>
            <? if ($this->escort->tour_date_from): ?>
                <div class="escort-agency desktop">
                    <i>
                        <?= __('on_tour_in') ?>  <?= $this->escort->tour_city ?>, <br> (<?= date('d M', strtotime($this->escort->tour_date_from)) ?> - <?= date('d M', strtotime($this->escort->tour_date_to)) ?>)
                    </i>
                </div>
            <? endif; ?>
        <? elseif ($this->escort->is_tour): ?>
            <div class="escort-agency desktop">
                <i>
                    <?= __('on_tour_in') ?> <?= $this->escort->tour_city ?>, <br>  (<?= date('d M', strtotime($this->escort->tour_date_from)) ?> - <?= date('d M', strtotime($this->escort->tour_date_to)) ?>)
                </i>
            </div>
        <? endif; ?>

        <div class="info-icons d-flex flex-row flex-fill desktop">
            <? if ( $this->escort->is_pornstar ): ?>
                <p title="<?= __('pornstar') ?>"  class="uppercase weight">Porn <i  class="fa fa-star"></i></p>
            <? endif; ?>

            <? if (isset($this->escorts_video[$this->escort->id])):
                $cur_escort = $this->escorts_video[$this->escort->id]; ?>
                <i title="<?= __('quick_search_video') ?>" class="fas fa-video"></i>
            <? endif; ?>

            <? if ($this->escort->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED): ?>
                <i title="<?= __('real_pics') ?>" class="fas fa-camera"></i>
            <? endif; ?>

            <? if(in_array($this->escort->travel_place, array('1','2','3'))): ?>
                <i title="<?= __('available_for_travel') ?>" class="fas fa-plane"></i>
            <? endif;?>

            <? if (in_array($this->escort->id, $this->watched_escorts)): ?>
                <i title="<?= __('watched_label') ?>" class="fas fa-eye"></i>
            <? endif; ?>
        </div>


        <div class="escort-details">
            <?= stripslashes(_shorten(strip_tags($this->escort->about), 380)) ?>
        </div>

        <? $rateArr = $this->getPrice($this->escort->getRates()); ?>
        <? if($rateArr['original_rate'] && $this->escort->country_id !== 68): ?>
            <div class="price">
                <span data-toggle="tooltip" data-placement="top" title="<?= $rateArr['user_rate']?>"><?= $rateArr['original_rate']; ?></span>
            </div>
        <? else:?>
            <div class="price" style="opacity: 0">-</div>
        <? endif;?>

        <div class="badges d-flex">
            <? if ($this->escort->is_premium && ! $this->escort->is_vip): ?>
                <div title="<?= __('adv_premium_title') ?>" class="vip-acc d-flex justify-content-center"><div class="badge-image"></div></div>
            <? endif; ?>
            <?php if ($this->sort == 'newest'): ?>
                <?php if (!$this->escort->is_premium && !$this->escort->is_vip): ?>
                    <?php $sticker_text = EscortsController::calculateNewestEscortDays(($this->escort->date_activated) ? $this->escort->date_activated : $this->escort->date_registered); ?>
                    <?php if ($sticker_text): ?>
                        <span class="sticker new"><?= $sticker_text ?></span>
                    <?php endif; ?>
                <?php endif; ?>
            <?php else: ?>
                <? if ($this->escort->is_new): ?>
                    <div title="<?= __('new_escort') ?>" class="new-acc d-flex justify-content-center"><div class="badge-image"></div></div>
                <? endif; ?>
            <? endif; ?>

            <!--$this->escort->last_hand_verification_date ||-->
            <? if ( $this->escort->verified_status == 2 ): ?>
                <div title="<?= __('real_pics') ?>" class="secure-acc d-flex justify-content-center"><div class="badge-image"></div></div>
            <? endif; ?>
        </div>

        <div class="list-contacts">
            <? if ($this->escort->phone_number): ?>
                <div class="phone"><?= (isset($this->escort->phone_country_id) && !$this->escort->disable_phone_prefix) ? '+'.Model_Countries::getPhonePrefixById( $this->escort->phone_country_id) . ltrim($this->escort->phone_number, '0') : ltrim($this->escort->phone_number)?></div>
            <? endif; ?>
            <div class="send-message">
                <button data-newletter-popup="off" onclick="return Sceon.private_message_popup('escort-<?= $this->escort->id ?>')" class="pm"></button>
            </div>
        </div>
    </div>
</a>